function main(self)
	if self.State == 0 then
		TogglePeg(self)
		self:SetImage("CUSTOM_SLIDERPEG")
		self.HitRect = {-35,-4,25,32}
	else
		TogglePeg(self)
        if self.User[0] ~= 1 then
		    if (self.State == 1003 or self.State == 1005) and not self.soundPlayed then
			    PlaySound("CUSTOM_PEGSLIDE2")
			    self.soundPlayed = true
		    end
		    if self.State ~= 1003 and self.State ~= 1005 and self.soundPlayed then
			    self.soundPlayed = false
		    end
        end
	end
end
